Jens Kasten | 2 Feb 09:48 2011

rsbac-admin

Hi list,

i get on git rsbac-admin after make build and than make install this:
Installing RSBAC NSS...
 -------------------------------------
  INTO		 (/usr/local)
  DIR		/usr/local/lib
  INSTALL	libnss_rsbac.la
libtool: install: warning: relinking `libnss_rsbac.la'
libtool: relink: `interface.lo' is not a valid libtool object
libtool: install: error: relink `libnss_rsbac.la' with the above command
before installing it
make[1]: *** [install] Fehler 1
make: *** [nss-install] Fehler 2

Jens 
Jens Kasten | 2 Feb 10:35 2011

Re: rsbac-admin

Hmm, strange.
I did as unprivileged user make build and as root user make install and
got the error below.
When i do as root user (make clean) only make install its just install
it.

I use the latest git rsbac-admin and rsbac-kernel.
rsbac_version 
Tools: 1.5.0, Kernel: 1.4.5, Tools-String: 1.5.0

Through this i can't setup anything because: RSBAC_EINVALIDVERSION

Am Mittwoch, den 02.02.2011, 09:48 +0100 schrieb Jens Kasten:
> Hi list,
> 
> i get on git rsbac-admin after make build and than make install this:
> Installing RSBAC NSS...
>  -------------------------------------
>   INTO		 (/usr/local)
>   DIR		/usr/local/lib
>   INSTALL	libnss_rsbac.la
> libtool: install: warning: relinking `libnss_rsbac.la'
> libtool: relink: `interface.lo' is not a valid libtool object
> libtool: install: error: relink `libnss_rsbac.la' with the above command
> before installing it
> make[1]: *** [install] Fehler 1
> make: *** [nss-install] Fehler 2
> 
> Jens 
> 
(Continue reading)

Gergely Lónyai | 2 Feb 10:45 2011

Re: rsbac-admin

Hi,

If you're using git-master version rsbac-admin (1.5.0), then you need to
use git-master version kernel...
I suggest for you: replace to a stabil branch rsbac-admin.

Aleph

> -------- Original Message --------
> Subject: Re: [rsbac] rsbac-admin
> From: Jens Kasten <igraltist <at> rsbac.org>
> Date: Wed, February 02, 2011 10:35 am
> To: RSBAC Discussion and Announcements <rsbac <at> rsbac.org>
> 
> 
> Hmm, strange.
> I did as unprivileged user make build and as root user make install and
> got the error below.
> When i do as root user (make clean) only make install its just install
> it.
> 
> I use the latest git rsbac-admin and rsbac-kernel.
> rsbac_version 
> Tools: 1.5.0, Kernel: 1.4.5, Tools-String: 1.5.0
> 
> Through this i can't setup anything because: RSBAC_EINVALIDVERSION
> 
> 
> Am Mittwoch, den 02.02.2011, 09:48 +0100 schrieb Jens Kasten:
> > Hi list,
(Continue reading)

Jens Kasten | 2 Feb 11:20 2011

Re: rsbac-admin

Somehow the rsbac-admin does not work.
I downloaded the
http://download.rsbac.org/code/1.4.5/rsbac-admin-1.4.5.tar.bz2
but it shows with rsbac_version:
Tools: 1.5.0, Kernel: 1.4.5, Tools-String: 1.5.0

I try to find all rsbac files and remove them what the make uninstall
leave out

Am Mittwoch, den 02.02.2011, 02:45 -0700 schrieb Gergely Lónyai:
> Hi,
> 
> If you're using git-master version rsbac-admin (1.5.0), then you need to
> use git-master version kernel...
> I suggest for you: replace to a stabil branch rsbac-admin.
> 
> Aleph
> 
> > -------- Original Message --------
> > Subject: Re: [rsbac] rsbac-admin
> > From: Jens Kasten <igraltist <at> rsbac.org>
> > Date: Wed, February 02, 2011 10:35 am
> > To: RSBAC Discussion and Announcements <rsbac <at> rsbac.org>
> > 
> > 
> > Hmm, strange.
> > I did as unprivileged user make build and as root user make install and
> > got the error below.
> > When i do as root user (make clean) only make install its just install
> > it.
(Continue reading)

Gergely Lónyai | 2 Feb 11:52 2011

Re: rsbac-admin

Indeed.

Aleph

> -------- Original Message --------
> Subject: Re: [rsbac] rsbac-admin
> From: Jens Kasten <igraltist <at> rsbac.org>
> Date: Wed, February 02, 2011 11:20 am
> To: RSBAC Discussion and Announcements <rsbac <at> rsbac.org>
> 
> 
> Somehow the rsbac-admin does not work.
> I downloaded the
> http://download.rsbac.org/code/1.4.5/rsbac-admin-1.4.5.tar.bz2
> but it shows with rsbac_version:
> Tools: 1.5.0, Kernel: 1.4.5, Tools-String: 1.5.0
> 
> I try to find all rsbac files and remove them what the make uninstall
> leave out
> 
> 
> Am Mittwoch, den 02.02.2011, 02:45 -0700 schrieb Gergely Lónyai:
> > Hi,
> > 
> > If you're using git-master version rsbac-admin (1.5.0), then you need to
> > use git-master version kernel...
> > I suggest for you: replace to a stabil branch rsbac-admin.
> > 
> > Aleph
> > 
(Continue reading)

Jens Kasten | 2 Feb 12:22 2011

kernel 2.6.37 and tools

Hi list,

the official download for rsbac-admin as tar archive has differnt
version number than named.

In file rbsac-admin-1.4.5/main/header/rsbac/types.h is defined:

/* Last modified: 08/Apr/2010        */

#define RSBAC_VERSION "1.5.0"

Through this it is incompatible with kernel 1.4.5.

My old rsbac-admin on my kvm server has in 
rsbac-admin/main/header/rsbac/types.h:

/* Last modified: 13/Sep/2010        */

#define RSBAC_VERSION "1.4.5"

This work with the latest rsbac-kernel on git.

The kernel 2.6.37 produces a lot off output like  this:

Wed Feb  2 12:12:01 2011 :<4>0000023562|rsbac_get_vfsmount(): unknown
device 00:18
Wed Feb  2 12:12:01 2011 :<4>0000023563|rsbac_auth_clear_f_capset():
invalid device 00:18!
Wed Feb  2 12:12:01 2011 :<4>0000023564|rsbac_auth_clear_f_capset():
invalid device 00:18!
(Continue reading)

Amon Ott | 2 Feb 12:27 2011

Re: kernel 2.6.37 and tools

Hi Jens!

On Wednesday 02 February 2011 wrote Jens Kasten:
> the official download for rsbac-admin as tar archive has differnt
> version number than named.
>
> In file rbsac-admin-1.4.5/main/header/rsbac/types.h is defined:
>
> /* Last modified: 08/Apr/2010        */
>
> #define RSBAC_VERSION "1.5.0"
>
> Through this it is incompatible with kernel 1.4.5.

We will fix that these days, thanks for telling. You can change the version in 
this header by hand, the tools are still compatible. Important for the 
internal version check are these defines:
#define RSBAC_VERSION_MAJOR 1
#define RSBAC_VERSION_MID 4
#define RSBAC_VERSION_MINOR 5

Amon.
--

-- 
http://www.rsbac.org - GnuPG: 2048g/5DEAAA30 2002-10-22
Jens Kasten | 3 Feb 19:35 2011
Picon

Re: kernel 2.6.37 and tools

Hi list,

I think I found why I get always this messages below.
I have the follow setup.
The harddisk partition is encrypted with LVM.
For root partition I use the btrfs. For home partition I use the ext4.

I removed all rsbac.dat directories because rsbac_list_recover does not
help.
After boot a rsbac kernel on my root partition I don't have /rsbac.dat
but on /home I have /home/rsbac.dat.

So its looks that rsbac is not working with btrfs.

Grüße 
Jens

Am Mittwoch, den 02.02.2011, 12:22 +0100 schrieb Jens Kasten:
> The kernel 2.6.37 produces a lot off output like  this:
> 
> Wed Feb  2 12:12:01 2011 :<4>0000023562|rsbac_get_vfsmount(): unknown
> device 00:18
> Wed Feb  2 12:12:01 2011 :<4>0000023563|rsbac_auth_clear_f_capset():
> invalid device 00:18!
> Wed Feb  2 12:12:01 2011 :<4>0000023564|rsbac_auth_clear_f_capset():
> invalid device 00:18!
> Wed Feb  2 12:12:01 2011 :<4>0000023565|rsbac_adf_set_attr_auth():
> rsbac_auth_remove_f_capsets() returned error!
> Wed Feb  2 12:12:01 2011 :<6>0000023566|rsbac_adf_set_attr(): request
> TRUNCATE, pid 2138, uid 1000, target_type FILE, tid Device 00:18 Inode
(Continue reading)

Jens Kasten | 18 Feb 14:56 2011

sysfs + udev

Hi list,

i use the kernel 2.6.35.11.
When i boot this, its don't mount the /sys and udev dont work properly.
I mount the /sys and then i can start the xdm but no mouse and keyboard.

Grüße
Jens

_______________________________________________
rsbac mailing list
rsbac <at> rsbac.org
http://www.rsbac.org/mailman/listinfo/rsbac
Jens Kasten | 18 Feb 21:52 2011

Re: sysfs + udev

The config has CONFIG_SYSFS=y set.

The follow branches i have.

hg branches
test-rsbac-pax                 7:29a24fad0896
linux-2.6.35.11-rsbac-pax      6:e1c0be210fb7			
# compiled without rsbac, sys is mountet
linux-2.6.35.11-rsbac          3:f91b36cec8f7 (inactive)
# sys is mounted
linux-2.6.35.11                2:58103022bbca (inactive)
default                        0:6a3047ecf29c (inactive) 

So its looks is rsbac issue.

Am Freitag, den 18.02.2011, 14:56 +0100 schrieb Jens Kasten:
> Hi list,
> 
> i use the kernel 2.6.35.11.
> When i boot this, its don't mount the /sys and udev dont work properly.
> I mount the /sys and then i can start the xdm but no mouse and keyboard.
> 
> Grüße
> Jens
> 
> _______________________________________________
> rsbac mailing list
> rsbac <at> rsbac.org
> http://www.rsbac.org/mailman/listinfo/rsbac

(Continue reading)


Gmane